Index: /trunk/expressoAdmin1_2/js/jscode/users.js
===================================================================
--- /trunk/expressoAdmin1_2/js/jscode/users.js	(revision 283)
+++ /trunk/expressoAdmin1_2/js/jscode/users.js	(revision 309)
@@ -6,10 +6,11 @@
 		//UID
 		document.forms[0].uid.value = document.forms[0].uid.value.toLowerCase();
+		
 		if (document.forms[0].uid.value == ''){
-			alert(document.getElementById('login_field_empty').value);
+			alert('Campo LOGIN está vazio.');
 			return;
 		}
 		else if (document.forms[0].uid.value.length < document.forms[0].minimumSizeLogin.value){
-			alert(document.getElementById('login_field_must_have').value + " " +document.forms[0].minimumSizeLogin.value + " " +document.getElementById('characters').value );
+			alert('Campo LOGIN deve ter mais que '+document.forms[0].minimumSizeLogin.value+' caracteres.');
 			return;
 		}
@@ -21,5 +22,5 @@
 			var reUid = /^([a-zA-Z0-9_\-])+$/;
 		if(!reUid.test(document.forms[0].uid.value)){
-			alert(document.getElementById('login_field_contains_not_allowed').value);
+			alert('Campo LOGIN comtém caracteres não permitidos.');
 			document.forms[0].account_lid.focus();
 			return;
@@ -28,9 +29,9 @@
 		//PASSWORD's
 		if (document.forms[0].password1.value == ''){
-			alert(document.getElementById('password_field_empty').value);
+			alert('Campo SENHA está vazio.');
 			return;
 		}
 		if (document.forms[0].password2.value == ''){
-			alert(document.getElementById('re-password_field_empty').value);
+			alert('Campo RE-SENHA está vazio.');
 			return;
 		}
@@ -38,5 +39,5 @@
 
 	if (document.forms[0].password1.value != document.forms[0].password2.value){
-		alert(document.getElementById('pass_re-pass_diferents').value);
+		alert('Campo SENHA e RE-SENHA são diferentes.');
 		return;
 	}
@@ -49,5 +50,5 @@
 		if(!re_employeenumber.test(document.forms[0].corporative_information_employeenumber.value))
 		{
-			alert(document.getElementById('register_field_contains_not_allowed').value);
+			alert('Campo matrícula contém caracteres não permitidos. Somente números são permitidos.');
 			document.forms[0].corporative_information_employeenumber.focus();
 			return;
@@ -61,5 +62,5 @@
 		if(!re_cpf.test(document.forms[0].corporative_information_cpf.value))
 		{
-			alert(document.getElementById('cpf_field_not_allowed').value);
+			alert('Campo cpf contém caracteres não permitidos. Somente números são permitidos');
 			document.forms[0].corporative_information_employeenumber.focus();
 			return;
@@ -68,5 +69,5 @@
 		if (! validarCPF(document.forms[0].corporative_information_cpf.value) )
 		{
-			alert(document.getElementById('cpf_field_invalid').value);
+			alert("Campo CPF invalido.");
 			document.forms[0].corporative_information_cpf.focus();
 			return;
@@ -77,33 +78,33 @@
 	document.forms[0].mail.value = document.forms[0].mail.value.toLowerCase();
 	if (document.forms[0].mail.value == ''){
-		alert(document.getElementById('email_field_empty').value);
+		alert('Campo E-MAIL está vazio.');
 		return;
 	}
 	var reEmail = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
 	if(!reEmail.test(document.forms[0].mail.value)){
-		alert(document.getElementById('email_field_not_valid').value);
+		alert("Campo E-mail não é válido.");
 		return false;
 	}
 	
 	//FIRSTNAME
-	if (document.forms[0].givenname.value == ''){
-		alert(document.getElementById('first_name_empty').value);
-		return;
-	}
-        var reGivenname = /^[a-zA-Z0-9 \-\.]+$/;
-        if(!reGivenname.test(document.forms[0].givenname.value)){
-		alert(document.getElementById('first_name_not_valid').value);
-	        return false;
-	} 
+	var reGivenname = /^[a-zA-Z0-9 \-\.]+$/;
+	if(!reGivenname.test(document.forms[0].givenname.value)){
+		alert('Primeiro Nome contém caracteres inválidos.');
+		return false;
+	}
+	else if (document.forms[0].givenname.value == ''){
+		alert('Campo PRIMEIRO NOME está vazio.');
+		return;
+	}
 	
 	//LASTNAME
-	if (document.forms[0].sn.value == ''){
-		alert(document.getElementById('last_name_empty').value);
-		return;
-	}
 	var reSn = /^[a-zA-Z0-9 \-\.]+$/;
 	if(!reSn.test(document.forms[0].sn.value)){
-	 	alert(document.getElementById('last_name_not_valid').value);
-	        return false;
+		alert('Último Nome contém caracteres inválidos.');
+		return false;
+	}
+	else if (document.forms[0].sn.value == ''){
+		alert('Campo ÚLTIMO NOME está vazio.');
+		return;
 	}
 	
@@ -114,5 +115,5 @@
 		if (!reg_tel.exec(document.forms[0].telephonenumber.value))
 		{
-			alert(document.getElementById('incorrect_telephone_field').value);
+			alert('Campo Telefone incorreto.');
 			return;
 		}
@@ -121,5 +122,5 @@
 	//FORWAR ONLY
 	if ((document.forms[0].deliverymode.checked) && (document.forms[0].mailforwardingaddress.value == '')){
-		alert(document.getElementById('redirect_email_empty').value);
+		alert('Campo E-MAIL DE ENCAMINHAMENTO está vazio.');
 		return;
 	}
@@ -127,5 +128,5 @@
 	// Email Quota
 	if (document.forms[0].mailquota.value == ''){
-		alert(document.getElementById('without_quota').value);
+		alert('Usuário sem COTA.');
 		return;
 	}
@@ -133,5 +134,5 @@
 	//GROUPS
 	if (document.getElementById('ea_select_user_groups').length < 1){
-		alert(document.getElementById('no_group_selected').value);
+		alert('Nenhum GRUPO selecionado.');
 		return;
 	}
@@ -140,9 +141,9 @@
 	if (document.getElementById('tabcontent6').style.display != 'none'){
 		if ((document.forms[0].sambalogonscript.value == '') && (!document.forms[0].sambalogonscript.disabled)){
-			alert(document.getElementById('user_logon_script_empty').value);
+			alert('Script de logon do usuário está vazio.');
 			return;
 		}
 		if ((document.forms[0].sambahomedirectory.value == '') && (!document.forms[0].sambahomedirectory.disabled)){
-			alert(document.getElementById('user_home_path_empty').value);
+			alert('Diretório Home do usuário está vazio.');
 			return;
 		}
@@ -215,5 +216,5 @@
 		alert(data.msg);
 	else
-		alert(document.getElementById('user_successfully_created').value);
+		alert('Usuário criado com êxito!');
 
 	location.href="./index.php?menuaction=expressoAdmin1_2.uiaccounts.list_users";
@@ -234,5 +235,5 @@
 	}
 	else{
-		alert(document.getElementById('user_successfully_saved').value);
+		alert('Usuário salvo com êxito!!');
 	}
 	location.href="./index.php?menuaction=expressoAdmin1_2.uiaccounts.list_users";
@@ -457,5 +458,5 @@
 			alert(data.msg);
 		else
-			alert(document.getElementById('default_password_successfully_registered_cadastre').value);
+			alert('Senha default cadastrada com êxito!!');
 		return;
 	}
@@ -470,5 +471,5 @@
 			alert(data.msg);
 		else
-			alert(document.getElementById('user_password_returned_with_success').value);
+			alert('Senha do usuário retornado com êxito!!');
 		return;
 	}
@@ -478,5 +479,5 @@
 function delete_user(uid, uidnumber)
 {
-	if (confirm(document.getElementById('delete_the_user').value + " (" + uid + ")"))
+	if (confirm("Realmente deseja deletar o usuário " + uid + " ??"))
 	{
 		var handler_delete_user = function(data)
@@ -485,5 +486,5 @@
 				alert(data.msg);
 			else
-				alert(document.getElementById('user_deleted_with_success').value);
+				alert('Usuário deletado com êxito!!');
 			
 			location.href="./index.php?menuaction=expressoAdmin1_2.uiaccounts.list_users";
@@ -501,8 +502,8 @@
 		var reUid = /^([a-zA-Z0-9_\-])+$/;
 
-	new_uid = prompt(document.getElementById('change_user_login').value + " (" + uid + ") "  + document.getElementById('to').value, uid);
+	new_uid = prompt("Alterar login do usuário " + uid + " para: ", uid);
 
 	if(!reUid.test(new_uid)){
-		alert(document.getElementById('login_field_contains_not_allowed').value);
+		alert('Campo LOGIN comtém caracteres não permitidos.');
 		document.forms[0].account_lid.focus();
 		return;
@@ -537,5 +538,5 @@
 		alert(data.msg);
 	else{
-		alert(document.getElementById('user_renamed_success').value + "\n" + data.exec_return);
+		alert("Usuário renomeado com êxito!\n" + data.exec_return);
 		location.href="./index.php?menuaction=expressoAdmin1_2.uiaccounts.list_users";
 	}
@@ -553,5 +554,5 @@
 	clearTimeout(finderTimeout_maillist);
 	var oWait = document.getElementById("ea_span_searching_maillist");
-	oWait.innerHTML = document.getElementById('searching').value;
+	oWait.innerHTML = 'Buscando...';
 	finderTimeout_maillist = setTimeout("optionFinder_maillist('"+obj.id+"')",500);
 }
@@ -587,5 +588,5 @@
 	clearTimeout(finderTimeout_group);
 	var oWait = document.getElementById("ea_span_searching_group");
-	oWait.innerHTML = document.getElementById('searching').value;
+	oWait.innerHTML = 'Buscando...';
 	finderTimeout_group = setTimeout("optionFinder_group('"+obj.id+"')",500);
 }
@@ -653,5 +654,5 @@
 		else{
 			cExecute ('$this.user.write_log_from_ajax&_action='+action+'&userinfo='+uid, handler_write_log);
-			alert(document.getElementById('removed').value + data.inbox_size + document.getElementById('mb_from_the_user_mailbox').value);
+			alert("Esvaziados '" + data.inbox_size + "' MB da caixa postal do usuário");
 			document.getElementById('mailquota_used').value = data.mailquota_used;
 		}
Index: /trunk/expressoAdmin1_2/index.php
===================================================================
--- /trunk/expressoAdmin1_2/index.php	(revision 283)
+++ /trunk/expressoAdmin1_2/index.php	(revision 309)
@@ -34,14 +34,13 @@
 	
 	$var = Array(
-		'lang_user_accounts'	=> lang('Users'),
-		'lang_user_groups'	=> lang('Groups'),
-		'lang_email_lists'	=> lang('E-mail lists'),
+		'lang_user_accounts'	=> lang('User Accounts'),
+		'lang_user_groups'		=> lang('User Groups'),
+		'lang_email_lists'		=> lang('Email Lists'),
 		'lang_computers'		=> lang('Computers'),
-		'lang_sambadomains'	=> lang('Samba domains'),
+		'lang_sambadomains'		=> lang('Samba Domains'),
 		'lang_sectors'			=> lang('Sectors'),
-		'lang_show_sessions'	=> lang('Show sessions'),
-		'lang_organizations'	=> lang('Organizations'),
+		'lang_show_sessions'	=> lang('Show Sessions'),
 		'display_samba_suport'	=> $current_config['expressoAdmin_samba_support'] == 'true' ? '' : 'display:none',
-		'lang_logs'		=> lang('Show logs')
+		'lang_logs'				=> lang('Logs')
 	);
 	$template->set_var($var);
